Issue 66239 - Allow to activatte OLE objects inplace without own UI
Summary: Allow to activatte OLE objects inplace without own UI
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 2.0.3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.2
Assignee: wolframgarten
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-08 10:35 UTC by Mathias_Bauer
Modified: 2006-11-09 09:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Mathias_Bauer 2006-06-08 10:35:15 UTC
Currently our own OLE objects (embedded OOo documents) are either inactive or
UIactive, i.e. they take over control over toolbars and merge their menu into
the container menu immediately when they are activated.

We need another "inplace active only" mode where the objects are active: they
have their own window where they can become UIactivated with a single mouse
click or stay in the inplace active mode even when they get a mouse click.

This needs some additional embedding APIs and some fixes in SFX and framework
module code as well, mainly because it must be prevented that the container
hides any UI elements or disables any dispatches before the object gets UIactivated.
Comment 1 Mathias_Bauer 2006-06-08 10:57:14 UTC
This features is needed for the new Chart component.
Comment 2 Mathias_Bauer 2006-07-05 09:43:18 UTC
Hint for QA:

First we must check that nothing was damaged, so
inserting/activating/deactivating OLE objects should work as usual. The only
difference should be that the toolbar switching should create less flickering as
now the document window is resized much less. In case the object and the
container have the same number of toolbars no resizing should happen at all and
the activation/deactivation cycle should look very smooth compared to the
current version on the master.

After passing these tests successfully we need to test the new functionality we
want to have for the new chart component. For this purpose we must "hack" a
configuration file.
Go to $(share)/registry/modules/org/openoffice/Office/Embedding and open the
file Embedding-chart.xcu in an editor.

Change the value of "ObjectMiscStatus" from "1" to "257".
Now each vivible chart object should have an own window immediately after
becoming visible. That means you can activate it by a single mouse click, not a
doubleclick as now.
Once the object gets activated the toolbars should switch, if you deactivate the
object by either clicking into the container or press "ESCAPE" one or several
times (depending on the selection state inside the chart) the toolbars should
switch back again, but the window of the chart object should still be there so
that again a single click will activate it.
Comment 3 Mathias_Bauer 2006-07-05 10:37:31 UTC
please verify
Comment 4 Mathias_Bauer 2006-07-17 16:25:49 UTC
adjust target
Comment 5 kla 2006-07-18 14:25:09 UTC
QA, DEV decided that's a DEFECT and not a FEATURE.
Comment 6 Mathias_Bauer 2006-07-20 17:39:00 UTC
It was not possible to fix all problems in the CWS inplaceobjects in time so all
tasks will be moved to the next release.
Comment 7 wolframgarten 2006-08-08 14:59:53 UTC
Sending to kla.Please set to my account when there is something to test. Thanks. 
Comment 8 wolframgarten 2006-08-08 15:02:50 UTC
Sorry, wrong issue for my comment...
Comment 9 Mathias_Bauer 2006-10-05 08:22:42 UTC
We can omit the "extended test" for 2.0.1 as the single click activation for
chart2 is moved to a later release. So we should test only if the improved
Inplace Activation/Deactivation handling didn't kill anything.
Comment 10 kla 2006-10-09 12:15:50 UTC
@wg: Back to you.
Comment 11 Mathias_Bauer 2006-10-18 10:00:01 UTC
target adjusted; CWS is too risky to integrate into 2.1 only 2 weeks before code
freeze
Comment 12 wolframgarten 2006-10-18 14:02:17 UTC
Verified in CWS.
Comment 13 wolframgarten 2006-11-09 09:08:01 UTC
Tested in master m192. CLosed.